XML::DOM::AttlistDecl(3)

NAME
XML::DOM::AttlistDecl - An XML ATTLIST declaration in XML::DOM

DESCRIPTION
XML::DOM::AttlistDecl extends XML::DOM::Node but is not part of the DOM Level 1 specification.

This node represents an ATTLIST declaration, e.g.

 <!ATTLIST person
   sex      (male|female)  #REQUIRED
   hair     CDATA          "bold"
   eyes     (none|one|two) "two"
   species  (human)        #FIXED "human">

Each attribute definition is stored a separate AttDef node. The AttDef nodes can be retrieved with getAttDef and added with addAttDef. (The AttDef nodes are stored in a NamedNodeMap internally.)

  METHODS

getName
    Returns the Element tagName.

getAttDef (attrName)
    Returns the AttDef node for the attribute with the specified name.

addAttDef (attrName, type, default, [ fixed ])
    Adds a AttDef node for the attribute with the specified name.

    Parameters:
     attrName the attribute name.
     type the attribute type (e.g. "CDATA" or "(male|female)".)
     default the default value enclosed in quotes (!), the string #IMPLIED or
                 the string #REQUIRED.
     fixed whether the attribute is '#FIXED' (default is 0.)